PPI::Structure::Block(3)

NAME
PPI::Structure::Block - Curly braces representing a code block

SYNOPSIS
  sub foo { ... }

  grep { ... } @list;

  if ( condition ) {
      ...
  }

  LABEL: {
      ...
  }

INHERITANCE
  PPI::Structure::Block
  isa PPI::Structure
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Structure::Block" is the class used for all curly braces that represent code blocks. This includes subroutines, compound statements and any other block braces.

METHODS
"PPI::Structure::Block" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

Got any ideas for methods? Submit a report to rt.cpan.org!

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.